<!DOCTYPE html> <!-- webkit-test-runner [ internal:AsyncOverflowScrollingEnabled=true internal:AsyncFrameScrollingEnabled=true ] -->
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body { overflow: hidden }
.scroll-content { width: 500px; height: 5000px; border: 2px solid green; }
</style>
<body onload="runTest()">
<iframe srcdoc="
    <html>
    <style>
    body { overflow: hidden }
    .scroll-content { width: 500px; height: 5000px; border: 2px solid green; }
    </style>
    <body>
    <div class='scroll-content'>
    This document shouldn't be scrollable.
    </div>
    </body>
    </html>
" width=500 height=500>
</iframe>
</body>
</html>
